var controledescripts = {
	iniciar: function () {
		this.iniciarItens();

		this.edicao = window.arguments[0].edicao;
		this.nomePol = window.arguments[0].nomePol;

		if (this.edicao) {
			document.title = this.stringset.getString("controledescripts.editPermission");
			this.propriedade.value = this.edicao.propriedade;

			switch (this.edicao.status) {
				case "sameOrigin": this.status.selectedIndex = 2; break;
				case "allAccess": this.status.selectedIndex = 1; break;
				default: this.status.selectedIndex = 0;
			}

			this.verificarAcesso(true);
		}
		else
			document.title = this.stringset.getString("controledescripts.addPermission");
	},

	iniciarItens: function () {
		this.acesso = document.getElementById("permissao-acesso");
		this.propriedade = document.getElementById("permissao-propriedade");
		this.status = document.getElementById("permissao-status");
		this.stringset = document.getElementById("permissao-strings");
	},

	salvar: function () {
		if (this.propriedade.value) {
			this.propriedade.value = this.propriedade.value.replace(/^\w/, this.propriedade.value.charAt(0).toUpperCase());

			if (this.edicao)
				opener.CdS.editarPermissao(this.nomePol, {propriedade: this.propriedade.value, status: this.status.value});
			else
				opener.CdS.adicionarPermissao(this.nomePol, {propriedade: this.propriedade.value, status: this.status.value});

			return true;
		}
		else {
			alert(this.stringset.getString("controledescripts.emptyProperty"));
			this.propriedade.focus();
			return false;
		}
	},

	selecionarAcesso: function () {
		var novo = this.acesso.value;
		var anterior = this.verificarAcesso(false);

		if (novo != anterior)
			switch (anterior) {
				case ".get":
					this.propriedade.value = this.propriedade.value.replace(/\.get$/, "");
					this.propriedade.value += novo;
					break;

				case ".set":
					this.propriedade.value = this.propriedade.value.replace(/\.set$/, "");
					this.propriedade.value += novo;
					break;

				default:
					this.propriedade.value += novo;
			}
	},

	verificarAcesso: function (alterar) {
		var sufixo = this.propriedade.value.substring(this.propriedade.value.length - 4, this.propriedade.value.length);

		if (alterar)
			switch (sufixo) {
				case ".get": this.acesso.selectedIndex = 1; break;
				case ".set": this.acesso.selectedIndex = 2; break;
				default: this.acesso.selectedIndex = 0;
			}

		if (sufixo == ".get" || sufixo == ".set")
			return sufixo;

		return "";
	}
}
